Package ru.bitel.bgbilling.modules.phone.server.bean

# Class Session

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.phone.server.bean.Session

All Implemented Interfaces:
  `Serializable`, `Idable`

public class Session extends Id

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Session()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCdrId()`
  `int`
  `getCid()`
  `String`
  `getClientItem()`
  `int`
  `getClientItemId()`
  `int`
  `getDestCode()`
  `String`
  `getDestination()`
  `String`
  `getFromNumber()`
  `String`
  `getFromNumber164()`
  `Date`
  `getHour()`
  `float`
  `getMinCost()`
  `String`
  `getService()`
  `int`
  `getServiceId()`
  `BigDecimal`
  `getSessionCost()`
  `Timestamp`
  `getSessionStart()`
  `int`
  `getSessionTime()`
  `int`
  `getSessionTimeRound()`
  `int`
  `getSourceId()`
  `String`
  `getToNumber()`
  `String`
  `getToNumber164()`
  `void`
  `setCdrId(int cdrId)`
  `void`
  `setCid(int cid)`
  `void`
  `setClientItem(String clientItem)`
  `void`
  `setClientItemId(int clientItemId)`
  `void`
  `setDestCode(int destCode)`
  `void`
  `setDestination(String destination)`
  `void`
  `setFromNumber(String fromNumber)`
  `void`
  `setFromNumber164(String fromNumber164)`
  `void`
  `setHour(Date hour)`
  `void`
  `setMinCost(float minCost)`
  `void`
  `setService(String service)`
  `void`
  `setServiceId(int serviceId)`
  `void`
  `setSessionCost(BigDecimal sessionCost)`
  `void`
  `setSessionStart(Timestamp sessionStart)`
  `void`
  `setSessionTime(int sessionTime)`
  `void`
  `setSessionTimeRound(int sessionTimeRound)`
  `void`
  `setSourceId(int sourceId)`
  `void`
  `setToNumber(String toNumber)`
  `void`
  `setToNumber164(String toNumber164)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Session

    public Session()

- ## Method Details

  - ### getClientItem

    public String getClientItem()

  - ### setClientItem

    public void setClientItem(String clientItem)

  - ### getCid

    public int getCid()

  - ### setCid

    public void setCid(int cid)

  - ### getClientItemId

    public int getClientItemId()

  - ### setClientItemId

    public void setClientItemId(int clientItemId)

  - ### getDestCode

    public int getDestCode()

  - ### setDestCode

    public void setDestCode(int destCode)

  - ### getDestination

    public String getDestination()

  - ### setDestination

    public void setDestination(String destination)

  - ### getFromNumber164

    public String getFromNumber164()

  - ### setFromNumber164

    public void setFromNumber164(String fromNumber164)

  - ### getServiceId

    public int getServiceId()

  - ### setServiceId

    public void setServiceId(int serviceId)

  - ### getSessionCost

    public BigDecimal getSessionCost()

  - ### setSessionCost

    public void setSessionCost(BigDecimal sessionCost)

  - ### getSessionStart

    public Timestamp getSessionStart()

  - ### setSessionStart

    public void setSessionStart(Timestamp sessionStart)

  - ### getSessionTime

    public int getSessionTime()

  - ### setSessionTime

    public void setSessionTime(int sessionTime)

  - ### getSourceId

    public int getSourceId()

  - ### setSourceId

    public void setSourceId(int sourceId)

  - ### getToNumber164

    public String getToNumber164()

  - ### setToNumber164

    public void setToNumber164(String toNumber164)

  - ### getService

    public String getService()

  - ### setService

    public void setService(String service)

  - ### getCdrId

    public int getCdrId()

  - ### setCdrId

    public void setCdrId(int cdrId)

  - ### getMinCost

    public float getMinCost()

  - ### setMinCost

    public void setMinCost(float minCost)

  - ### getSessionTimeRound

    public int getSessionTimeRound()

  - ### setSessionTimeRound

    public void setSessionTimeRound(int sessionTimeRound)

  - ### getFromNumber

    public String getFromNumber()

  - ### setFromNumber

    public void setFromNumber(String fromNumber)

  - ### getToNumber

    public String getToNumber()

  - ### setToNumber

    public void setToNumber(String toNumber)

  - ### getHour

    public Date getHour()

  - ### setHour

    public void setHour(Date hour)